Loading...
Searching...
No Matches
PUtilVar Class Reference

## Public Member Functions

| PUtilVar ()
| PUtilVar (const Variable &v)
| ~PUtilVar ()
PUtilBase * | copy () const
CanonicalForm | getval () const
int | getintval () const
bool | isInt () const
bool | isCF () const
bool | isVar () const
Public Member Functions inherited from PUtilBase
| PUtilBase ()
virtual | ~PUtilBase ()

## Private Attributes

Variable | val

## Detailed Description

Definition at line 60 of file parseutil.cc.

## Constructor & Destructor Documentation

## PUtilVar() [1/2]

PUtilVar::PUtilVar | ( |  | ) |

inline

Definition at line 65 of file parseutil.cc.

{ val = Variable(); }
PUtilVar::val
Variable val
Definition parseutil.cc:63

## PUtilVar() [2/2]

PUtilVar::PUtilVar | ( | const Variable & | v | ) |

inline

Definition at line 66 of file parseutil.cc.

{ val = v; }
v
const Variable & v
< [in] a sqrfree bivariate poly
Definition facBivar.h:39

## ~PUtilVar()

PUtilVar::~PUtilVar | ( |  | ) |

inline

Definition at line 67 of file parseutil.cc.

{}

## Member Function Documentation

## copy()

PUtilBase * PUtilVar::copy | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 68 of file parseutil.cc.

{ return new PUtilVar( val ); }
PUtilVar::PUtilVar
PUtilVar()
Definition parseutil.cc:65

## getintval()

int PUtilVar::getintval | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 70 of file parseutil.cc.

{ return 0; }

## getval()

CanonicalForm PUtilVar::getval | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 69 of file parseutil.cc.

{ return CanonicalForm( val ); }

## isCF()

bool PUtilVar::isCF | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 72 of file parseutil.cc.

{ return false; }

## isInt()

bool PUtilVar::isInt | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 71 of file parseutil.cc.

{ return false; }

## isVar()

bool PUtilVar::isVar | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 73 of file parseutil.cc.

{ return true; }

## Field Documentation

## val

Variable PUtilVar::val

private

Definition at line 63 of file parseutil.cc.

The documentation for this class was generated from the following file:

- factory/parseutil.cc